part of 'earnings_bloc.dart';

@immutable
sealed class EarningsEvent {
  const EarningsEvent();
}

class EarningsInitEvent extends EarningsEvent {
  const EarningsInitEvent();
}

class EarningsSwitchBalancePeriodEvent extends EarningsEvent {
  final BalancePeriod period;

  const EarningsSwitchBalancePeriodEvent({required this.period});
}

class EarningsTabChangedEvent extends EarningsEvent {
  final int tabIndex;

  const EarningsTabChangedEvent({required this.tabIndex});
}

class LoadAdditionalEarnings extends EarningsEvent {
  const LoadAdditionalEarnings();
}

class ReloadCurrentEarnings extends EarningsEvent {
  const ReloadCurrentEarnings();
}

class ConfirmStaffEarning extends EarningsEvent {
  const ConfirmStaffEarning(this.earningId);

  final String earningId;
}

class DisputeStaffEarning extends EarningsEvent {
  const DisputeStaffEarning({
    required this.earningId,
    required this.reason,
    required this.details,
  });

  final String earningId;
  final String reason;
  final String details;
}
